Bug 485430 - Yum gives Invalid architecture
Yum gives Invalid architecture
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
5.3
x86_64 Linux
low Severity high
: rc
: ---
Assigned To: Pradeep Kilambi
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-13 10:31 EST by Cheryl Hilman
Modified: 2014-01-21 01:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-26 10:34:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log from esig9 /var/log/up2date (10.68 KB, text/plain)
2009-02-13 10:31 EST, Cheryl Hilman
no flags Details

  None (edit)
Description Cheryl Hilman 2009-02-13 10:31:33 EST
Created attachment 331836 [details]
Log from esig9 /var/log/up2date

Description of problem:
After doing a clean install from  rhel-server-5.3-x86_64-dvd.iso onto the College of Engineering HP ProLiant DL385 G5 Server with dual QuadCore AMD OpteronT 2356 Processors (ESIG9)the system will do minor updates from RedHat Network but will not apply OS Patches. The error given is 
Error Message:
    Unknown package arch found
Error Class Code: 45
Error Class Info:
     Invalid architecture.

The system does apply minor patches, but RedHat Network shows them as NOT being applied. When running yum on the system the message is that that the system is uptodate.

I had originally built this system at 5.2 and it worked with RedHat Network until it updated to 5.3. Because of the listed updates not being applied, I rebuilt the system on 2/10-11/09.

I have another system that is a 32 bit system (ESIG4) and it is installed with rhel-server-5.3-i386-dvd.iso and updates correctly with RedHat Network. 

Version-Release number of selected component (if applicable):
 yum-3.2.19-18.el5.noarch at 2009-02-11 05:03

How reproducible:


Steps to Reproduce:
0. Rebuilt system with rhel-server-5.3-x86_64-dvd.iso
1. Applied all the updates - get first error in log about Invalid architecture. 
2. System appears installed and clean at RedHat Network 
3. I am notified of an update available at RedHat Network
4. Apply Updates with either command line or graphic yum command
5. Minor patches will apply but not the OS patches, Invaild architecture error in log.
6. Check RedHat Network patches are not applied

  
Actual results:
Some patches applied

Expected results:
All patches to be applied

Additional info:
Comment 1 seth vidal 2009-02-16 16:31:40 EST
On a machine with this problem can you run the following commands and report their output?

yum --version
rpm -q yum rpm rpm-python
rpm -q kernel
uname -a
cat /etc/rpm/platform


thanks
Comment 2 Cheryl Hilman 2009-02-16 17:19:12 EST
[root@esig9 hilman]# yum --version
3.2.19
  Installed: yum-3.2.19-18.el5.noarch at 2009-02-11 05:03
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2008-11-25 22:35
  Committed: James Antill <jantill@redhat.com> at 2008-11-25 22:00

  Installed: yum-metadata-parser-1.1.2-2.el5.x86_64 at 2009-02-11 05:02
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2008-01-18 17:42
  Committed: James Antill <james.antill@redhat.com> at 2008-01-18 22:00

  Installed: rpm-4.4.2.3-9.el5.x86_64 at 2009-02-11 05:02
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2008-12-03 06:40
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2008-12-02 22:00

  Installed: yum-rhn-plugin-0.5.3-30.el5.noarch at 2009-02-11 05:03
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2008-11-11 20:34
  Committed: Pradeep Kilambi <pkilambi@redhat.com> at 2008-11-11 22:00

[root@esig9 hilman]# rpm -q yum rpm rpm-python
yum-3.2.19-18.el5
rpm-4.4.2.3-9.el5
rpm-python-4.4.2.3-9.el5

[root@esig9 hilman]# rpm -q kernel
package kernel is not installed


[root@esig9 hilman]# uname -a
Linux esig9.uwyo.edu 2.6.18-128.1.1.el5xen #1 SMP Mon Jan 26 14:19:09 EST 2009 x86_64 x86_64 x86_64 GNU/Linux

[root@esig9 hilman]# cat /etc/rpm/platform
x86_64-redhat-linux
Comment 3 seth vidal 2009-02-16 17:29:21 EST
Is this system connected to rhn and registered to the x86_64 release?
Comment 4 Cheryl Hilman 2009-02-16 17:52:02 EST
yes
I have registered it over and over several times. I also had Xen registered when the system was at 5.2


Subscribed Channels (Alter Channel Subscriptions)

    * Red Hat Enterprise Linux (v. 5 for 64-bit x86_64)
Comment 7 Cheryl Hilman 2009-02-18 17:02:04 EST
Requested information submitted.
Comment 8 Pradeep Kilambi 2009-02-18 17:19:30 EST
Cheryl:

Sorry the need info request was not from you, It was for RHN guys to give their input as the error is raised from the server side. resetting the request.
Comment 11 Cheryl Hilman 2009-02-24 16:20:52 EST
Ran the yum updater and updated strace. Everything appeared to be OK until I looked at the log below. Redhat Network does not show the update as being applied. They are accumulating on the RedHat Network side.
Cheryl
--------------  /var/log/up2date --------------
[Mon Feb 23 20:08:11 2009] up2date Updating package profile
[Tue Feb 24 00:08:11 2009] up2date Updating package profile
[Tue Feb 24 04:08:11 2009] up2date Updating package profile
[Tue Feb 24 07:40:49 2009] up2date logging into up2date server
[Tue Feb 24 07:40:50 2009] up2date successfully retrieved authentication token from up2date server
[Tue Feb 24 07:41:12 2009] up2date Updating package profile
[Tue Feb 24 07:41:14 2009] up2date Error communicating with server. The message was:

Error Message:
    Unknown package arch found
Error Class Code: 45
Error Class Info:
     Invalid architecture.

     The architecture of the package is not supported by Red Hat Network
Explanation:
     An error has occurred while processing your request. If this problem
     persists please enter a bug report at bugzilla.redhat.com.
     If you choose to submit the bug report, please be sure to include
     details of what you were trying to do when this error occurred and
     details on how to reproduce this problem.

[Tue Feb 24 08:08:11 2009] up2date Updating package profile
[Tue Feb 24 12:08:11 2009] up2date Updating package profile
Comment 12 James 2009-03-20 12:16:17 EDT
I am also seeing this same error on my system. It seems the bug
is related to 86_x64 Architectures. 

/root>>yum --version
3.2.19
  Installed: yum-3.2.19-18.el5.noarch at 2009-02-23 18:06
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2008-11-25 !
22:35                                                                          
  Committed: James Antill <jantill@redhat.com> at 2008-11-25 22:00

  Installed: yum-metadata-parser-1.1.2-2.el5.x86_64 at 2009-02-23 18:02
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2008-01-18 !
17:42                                                                          
  Committed: James Antill <james.antill@redhat.com> at 2008-01-18 22:00

  Installed: rpm-4.4.2.3-9.el5.x86_64 at 2009-02-23 18:06
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2008-12-03 !
06:40                                                                          
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2008-12-02 22:00

  Installed: yum-rhn-plugin-0.5.3-30.el5.noarch at 2009-02-23 18:09
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2008-11-11 !
20:34                                                                          
  Committed: Pradeep Kilambi <pkilambi@redhat.com> at 2008-11-11 22:00
/root>>rpm -q yum rpm rpm-python
yum-3.2.19-18.el5
rpm-4.4.2.3-9.el5
rpm-python-4.4.2.3-9.el5
/root>>rpm -q kernel
kernel-2.6.18-128.1.1.el5
kernel-2.6.18-8.el5
/root>>uname -a
Linux stealth38.ih.lucent.com 2.6.18-128.1.1.el5 #1 SMP Mon Jan 26 13:58:24 EST!
 2009 x86_64 x86_64 x86_64 GNU/Linux                                           
/root>>cat /etc/rpm/platform
ia32e-redhat-linux
Comment 13 Erick Lindman 2009-06-29 11:50:09 EDT
I am also seeing this bug on my system.  I, too, am running RHEL5 on an x86_64 platform.  On 2009-01-21 during a pup update of my system I received an error message.  I do not know if it is related to this bug.  If the error message was related to this bug, the error message pasted below might be helpful.

Component: pirut
Summary: TBf15ea9ee httplib.py:813:request:IndexError: tuple index out of range

Traceback (most recent call last):
  File "/usr/sbin/pup", line 407, in _apply
    output = self.applyChanges(self.mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 813, in applyChanges
    self.checkDeps(mainwin)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 550, in checkDeps
    (result, msgs) = self.buildTransaction()
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 585, in buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 735, in resolveDeps
    for po, dep in self._checkFileRequires():
  File "/usr/lib/python2.4/site-packages/yum/depsolve.py", line 938, in _checkFileRequires
    if not self.tsInfo.getOldProvides(filename) and not self.tsInfo.getNewProvides(filename):
  File "/usr/lib/python2.4/site-packages/yum/transactioninfo.py", line 413, in getNewProvides
    for pkg, hits in self.pkgSack.getProvides(name, flag, version).iteritems():
  File "/usr/lib/python2.4/site-packages/yum/packageSack.py", line 255, in getProvides
    return self._computeAggregateDictResult("getProvides", name, flags, version)
  File "/usr/lib/python2.4/site-packages/yum/packageSack.py", line 414, in _computeAggregateDictResult
    sackResult = apply(method, args)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 547, in getProvides
    return self._search("provides", name, flags, version)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 40, in newFunc
    return func(*args, **kwargs)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 530, in _search
    for pkg in self.searchFiles(name):
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 40, in newFunc
    return func(*args, **kwargs)
  File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 350, in searchFiles
    self.populate(repo, mdtype='filelists')
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 165, in populate
    xml = repo_get_function()
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 887, in getFileListsXML
    return self.retrieveMD('filelists')
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 867, in retrieveMD
    cache=self.http_caching == 'all')
  File "/usr/lib/yum-plugins/rhnplugin.py", line 285, in _getFile
    start, end, copy_local, checkfunc, text, reget, cache)
  File "/usr/lib/yum-plugins/rhnplugin.py", line 377, in _noExceptionWrappingGet
    timeout=self.timeout
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 927, in urlgrab
    return self._retry(opts, retryfunc, url, filename)
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 845, in _retry
    r = apply(func, (opts,) + args, {})
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 913, in retryfunc
    fo = URLGrabberFileObject(url, filename, opts)
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 1001, in __init__
    self._do_open()
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 1072, in _do_open
    fo, hdr = self._make_request(req, opener)
  File "/usr/lib/python2.4/site-packages/urlgrabber/grabber.py", line 1168, in _make_request
    fo = opener.open(req)
  File "/usr/lib64/python2.4/urllib2.py", line 358, in open
    response = self._open(req, data)
  File "/usr/lib64/python2.4/urllib2.py", line 376, in _open
    '_open', req)
  File "/usr/lib64/python2.4/urllib2.py", line 337, in _call_chain
    result = func(*args)
  File "/usr/lib64/python2.4/site-packages/M2Crypto/m2urllib2.py", line 66, in https_open
    h.request(req.get_method(), req.get_full_url(), req.data, headers)
  File "/usr/lib64/python2.4/httplib.py", line 813, in request
    if v[0] != 32 or not self.auto_open:
IndexError: tuple index out of range

Local variables in innermost frame:
body: None
url: https://xmlrpc.rhn.redhat.com/XMLRPC/GET-REQ/rhel-x86_64-client-5/repodata/filelists.xml.gz
self: <M2Crypto.httpslib.HTTPSConnection instance at 0x1a482bd8>
headers: {'X-rhn-auth-server-time': '1232552219.74', 'X-rhn-auth': 'bPxRClD9ZmOTHJbz+ExkfQ==', 'Pragma': 'no-cache', 'X-rhn-server-id': 1013608138, 'X-rhn-auth-user-id': '', 'Connection': 'close', 'Host': 'xmlrpc.rhn.redhat.com', 'X-rhn-auth-expire-offset': '3600.0', 'User-agent': 'urlgrabber/3.1.0'}
v: 
method: GET
Comment 14 steven.conn 2009-07-21 12:33:44 EDT
I resolved this problem by re-registering my system using rhn_register. I no longer get the error message when running yum and RHN shows my system to be up-to-date.

s

------------------------------

[root@lev ~]# yum --version
3.2.19
  Installed: yum-3.2.19-18.el5_3.1.noarch at 2009-07-13 16:03
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2009-06-16 15:50
  Committed: James Antill <jantill@redhat.com> at 2009-06-16 22:00

  Installed: yum-metadata-parser-1.1.2-3.el5.x86_64 at 2009-04-22 20:23
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2009-04-06 14:15
  Committed: James Antill <james.antill@redhat.com> at 2009-04-06 22:00

  Installed: yum-rhn-plugin-0.5.3-30.el5.noarch at 2009-03-11 21:00
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2008-11-11 20:34
  Committed: Pradeep Kilambi <pkilambi@redhat.com> at 2008-11-11 22:00

  Installed: rpm-4.4.2.3-9.el5.x86_64 at 2009-03-11 20:58
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2008-12-03 06:40
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2008-12-02 22:00
[root@lev ~]# rpm -q yum rpm rpm-python
yum-3.2.19-18.el5_3.1
rpm-4.4.2.3-9.el5
rpm-python-4.4.2.3-9.el5
[root@lev ~]# rpm -q kernel
kernel-2.6.18-128.1.6.el5
kernel-2.6.18-128.1.16.el5
kernel-2.6.18-128.2.1.el5
[root@lev ~]# uname -a
Linux lev.nist.gov 2.6.18-128.1.16.el5 #1 SMP Fri Jun 26 10:53:31 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
[root@lev ~]# cat /etc/rpm/platform
ia32e-redhat-linux
Comment 15 Erick Lindman 2009-07-29 17:25:44 EDT
I re-registered my system as suggested in Comment 14.  It did not resolve the error.  I still get the error message.
Comment 17 Clifford Perry 2009-10-26 10:34:22 EDT
Hi there, 
we need to have support help in troubleshooting this issue. Right now there is not enough information to determine if we can fix this issue which may or may not be a bug. Please open a support ticket for further assistance. They will re-open this bug if needed in the future and align to a release to address it within. 

Regards,
Clifford.

Note You need to log in before you can comment on or make changes to this bug.